/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@ricochet.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002-2004 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.ui.helpers;

import java.awt.Dimension;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;
import java.util.Map;
import com.silverwrist.venice.ui.ColorSelectors;
import com.silverwrist.venice.ui.LinkTypes;

public interface HTMLRendering extends ColorSelectors, LinkTypes
{
  public String getColor(int selector);

  public String getColor(String name);

  public boolean useHTMLComments();

  public String formatURL(String url, int type);

  public String formatURL(String url, String type);

  public String formatDate(Date date);

  public String getFontTag(int colorsel, int size);

  public String getFontTag(String color, int size);

  public String getFontTag(int colorsel, String size);

  public String getFontTag(String color, String size);

  public int convertLinkType(String str);

  public String getStockMessage(String key);

  public String getStockMessage(String key, Map vars);

  public String getStaticPath(String s);

  public String getExternalStaticPath(String s);

  public String getImagePath(String s);

  public String getButtonVisual(String id);

  public String getButtonInput(String id);

  public String getUserPhotoTag(String url);

  public String getUserPhotoTag(String url, Dimension size);

  public String getActivityString(Date date);

  public String getCommunityLogoTag(String url);

  public String expandServletPath(String spath);

  public Calendar getCalendar();

  public Locale getLocale();

} // end interface HTMLRendering
